Q2 Upgrade wizard problem

6 posts, 0 answers
  1. Jan Olsmar
    Jan Olsmar avatar
    35 posts
    Member since:
    Mar 2006

    Posted 17 Jul 2014 Link to this post

    Just installed Q2. Tried to upgrade a site. Get this error "Please go back and select at least one project in order to continue the upgrade."

    Worked fine before. MVC 5.2
    Starting to getting tired on all upgrade errors with new releases.
  2. Momchil
    Admin
    Momchil avatar
    58 posts

    Posted 17 Jul 2014 Link to this post

    Hi Jan,

    Currently MVC version supported by the Telerik UI for ASP.NET MVC extensions is 5.1.1 and if you have updated your project to MVC 5.2 it will not be recognized.

    In order to use the extensions with the latest supported MVC version I can recommend you to follow these steps:
    1. Update the Microsoft ASP.NET MVC package to the latest supported version - open the Package Manager Console and type Install-Package Microsoft.AspNet.Mvc -Version 5.1.1
    2. Update any other NuGet packages you want, except for:
      • Microsoft ASP.NET MVC
      • Microsoft ASP.NET Razor
      • Microsoft ASP.NET WebPages
    Otherwise, if you want to use the latest ASP.NET MVC (v. 5.2) and Telerik UI for ASP.NET MVC controls - you can manually add, manage and upgrade the references to the resources you need.

    Regards,
    Momchil
    Telerik
     

    Check out the Telerik Platform - the only platform that combines a rich set of UI tools with powerful cloud services to develop web, hybrid and native mobile apps.

     
  3. UI for ASP.NET MVC is VS 2017 Ready
  4. Roy
    Roy avatar
    30 posts
    Member since:
    Oct 2007

    Posted 17 Jul 2014 in reply to Momchil Link to this post

    I posted this same issue before seeing this one. Is there an ETA for a fix for the extension so we can use the upgrade wizard?
  5. Momchil
    Admin
    Momchil avatar
    58 posts

    Posted 18 Jul 2014 Link to this post

    Hi Roy,

    I can't give you an ETA at this time, but it's a common issue which many of the UI for ASP.NET MVC users experience and we are seriously considering adding support for MVC 5.2 as soon as we can. You can expect it in one of our next releases.

    Thank you for your patience.

    Regards,
    Momchil
    Telerik
     

    Check out the Telerik Platform - the only platform that combines a rich set of UI tools with powerful cloud services to develop web, hybrid and native mobile apps.

     
  6. Carl
    Carl avatar
    195 posts
    Member since:
    Oct 2012

    Posted 11 Aug 2014 in reply to Momchil Link to this post

    Question: Why is compatibility with CURRENT microsoft ASP.Net MVC an option?  Why is it NOT a requirement?

    Question: Where does Telerik maintain clear and explicit communication about compatibility of Telerik tools and controls with CURRENT Microsoft technologies?  

    Please note that tools include the "upgrade extensions" to upgrade from one release to the next, and controls include the actual UI ASP.Net MVC wrapper controls used in Razor files.
  7. Momchil
    Admin
    Momchil avatar
    58 posts

    Posted 12 Aug 2014 Link to this post

    Hello Carl,

    I'm sorry, if I left you with the impression that compatibility with current ASP.NET MVC is an option. It is actually a matter of when. Currently released version of Visual Studio extensions have issues detecting latest ASP.NET MVC version and we are already working on improving this and with the next version of the Telerik Visual Studio extensions these changes will be released.

    About the second question - there are sections in the documentation of our products which specify what are the supported frameworks and technologies.
    For Telerik UI for ASP.NET MVC, such pages are:
    I hope this will help you.

    Regards,
    Momchil
    Telerik
     

    Check out the Telerik Platform - the only platform that combines a rich set of UI tools with powerful cloud services to develop web, hybrid and native mobile apps.

     
Back to Top
UI for ASP.NET MVC is VS 2017 Ready